2019-06-25 03:23 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002407NetSurfJavascriptpublic2016-02-16 14:08
ReporterHarriet Bazley 
Assigned ToMichael Drake 
SeveritycrashReproducibilityalways 
StatusclosedResolutionfixed 
PlatformIyonix AriaOSRISC OSOS Version5.22
Product Version3.4 
Target Version3.4Fixed in Version3.4 
Summary0002407: Crash on New Internationalist blog
DescriptionWith JavaScript enabled, NetSurf crashes when attempting to render the page http://newint.org/blog/2012/08/20/hebden-bridge-moor
With JavaScript disabled, NetSurf displays the page briefly, then crashes.
Additional InformationWeirdly, both logs appear to show a JavaScript error, even though JS was disabled for the second attempt.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #3222
URL of problem pagehttp://newint.org/blog/2012/08/20/hebden-bridge-moor
Attached Files

-Relationships
+Relationships

-Notes
Harriet Bazley

~0001131

Harriet Bazley (reporter)

Tested again with latest download (v3244).
Still crashes with duktape errors even when JS is disabled.
Michael Drake

~0001138

Michael Drake (administrator)

Seg fault at

(34.830000) javascript/duktape/dukky.c:808 js_fire_event: Event: load (doc=0x6b59b8c8, target=0x0)

even with JS disabled.
Michael Drake

~0001139

Michael Drake (administrator)

Fatal signal received: Segmentation fault

Stack backtrace:

Running thread 0x70d4e0 (Main Thread)
  ( 715ee0) pc: 4e64cc lr: 1866c4 sp: 715ee4 __write_backtrace()
  ( 715f08) pc: 186644 lr: 4e6df8 sp: 715f0c ro_gui_signal()
  ( 715f30) pc: 4e6de0 lr: 4e6ad4 sp: 715f34 __unixlib_exec_sig()
  ( 715fa0) pc: 4e65ec lr: 4e73e0 sp: 715fa4 __unixlib_raise_signal()
  ( 715fb0) pc: 4e72e4 lr: 4e8318 sp: 71491c __h_cback()

  Register dump at 00715fb4:

    a1: 30 a2: 1 a3: da0b0bc6 a4: 0
    v1: e59ff464 v2: 37 v3: b48 v4: 5671c8
    v5: cf v6: 0 sl: 714208 fp: 714a38
    ip: 0 sp: 71491c lr: 4e8318 pc: 11d74c
    cpsr: 20000010

  0011d738 : .0 ã : e3a03000 : MOV R3,#0
  0011d73c : , ”å : e594202c : LDR R2,[R4,#44]
  0011d740 : .1Íå : e5cd3107 : STRB R3,[R13,#263]
  0011d744 : P0’å : e5923050 : LDR R3,[R2,#80]
  0011d748 : .. ã : e3a01001 : MOV R1,#1
  0011d74c : ..Sã : e3530000 : CMP R3,#0
  0011d750 : P.‚å : e5821050 : STR R1,[R2,#80]
  0011d754 : ', . : 03a02c27 : MOVEQ R2,#&2700
  0011d758 : # ‚. : 02822023 : ADDEQ R2,R2,#&23 ; ="#"

  ( 714a38) pc: 11d6fc lr: 11d950 sp: 714a3c duk_err_handle_error()
  ( 714a4c) pc: 11d8d8 lr: 11d9ac sp: 714a50 duk_push_tval()
  ( 714a6c) pc: 11d97c lr: 137824 sp: 714a70 duk_push_hobject()
  ( 714a84) pc: 13780c lr: 113374 sp: 714a88 duk_get_global_string()
  ( 714abc) pc: 1132c4 lr: 15b76c sp: 714ac0 js_fire_event()
  ( 714b24) pc: 15b700 lr: 15bb14 sp: 714b28 html_finish_conversion()
  ( 714b4c) pc: 15b9c8 lr: 15ccec sp: 714b50 html_begin_conversion()
  ( 714b90) pc: 15cbb4 lr: cf644 sp: 714b94 html_convert_css_callback()
  ( 714be0) pc: cf5cc lr: cfc00 sp: 714be4 hlcache_migrate_ctx()
  ( 714c30) pc: cf9f0 lr: d195c sp: 714c34 hlcache_llcache_callback()
  ( 714c68) pc: d18e8 lr: d1b94 sp: 714c6c llcache_object_notify_users()
  ( 714c80) pc: d1b44 lr: 19a2f0 sp: 714c84 llcache_catch_up_all_users()
  ( 714ca0) pc: 19a2a8 lr: a008 sp: 714ca4 schedule_run()
  ( 714fe8) pc: 9768 lr: 4f5310 sp: 714fec main()
Harriet Bazley

~0001140

Harriet Bazley (reporter)

This looks like another case of the same thing: page appears briefly, then crashes with a duktape error despite having JS disabled.

http://www.oocities.org/franklinsalem/manners.html
Vincent Sanders

~0001237

Vincent Sanders (administrator)

Confirmed fixed in 3.4 release
+Notes

-Issue History
Date Modified Username Field Change
2016-01-01 00:42 Harriet Bazley New Issue
2016-01-01 00:42 Harriet Bazley File Added: logs.zip
2016-01-01 00:47 Harriet Bazley Note Added: 0001131
2016-01-04 21:34 Dave Higton Status new => acknowledged
2016-01-05 19:58 Michael Drake Note Added: 0001138
2016-01-05 19:59 Michael Drake Note Added: 0001139
2016-01-06 02:19 Harriet Bazley Note Added: 0001140
2016-01-06 02:20 Harriet Bazley File Added: manners.zip
2016-01-31 23:14 Michael Drake Assigned To => Michael Drake
2016-01-31 23:14 Michael Drake Status acknowledged => closed
2016-01-31 23:14 Michael Drake Resolution open => fixed
2016-01-31 23:14 Michael Drake Product Version => 3.4
2016-01-31 23:14 Michael Drake Fixed in Version => 3.4
2016-01-31 23:14 Michael Drake Target Version => 3.4
2016-01-31 23:14 Michael Drake Description Updated View Revisions
2016-02-01 13:36 Vincent Sanders Status closed => resolved
2016-02-16 14:08 Vincent Sanders Note Added: 0001237
2016-02-16 14:08 Vincent Sanders Status resolved => closed
+Issue History